      program vdh_to_gse 
!                                                                       
!     ------------------------------------------------------------------
!                                                                       
! *   Rocot_Example of using Rocotlib                                   
!                                                                       
!     ------------------------------------------------------------------
!                                                                       
!                                                                       
      print 100 
      print 100, '****************************************************' 
      print 100 
      print 100, 'vdh_to_gse:' 
      print 100 
                                                                        
  100 format(a, 3i5) 
  200 format(a, 3f10.5) 
                                                                        
!                                                                       
      call r_date(iyear,imonth,iday) 
      call r_time(ih,im,is) 
                                                                        
      call cp_time_param(iyear,imonth,iday,ih,im,is) 
!                                                                       
      print 100, 'x,y,z in VDH ?' 
      read *, xvdh,yvdh,zvdh 
!                                                                       
      print 100, 'lat et long en degre?' 
      read *, rlat, rlon 
      rlat=rlat*3.1415927/180. 
      rlon=rlon*3.1415927/180. 
!                                                                       
      call t_vdh_to_geo(xvdh,yvdh,zvdh,rlat,rlon,xgeo,ygeo,zgeo) 
      call t_geo_to_gse(xgeo,ygeo,zgeo,xgse,ygse,zgse) 
                                                                        
      print 100 
      print 100, 'date: MM/JJ/YY=', imonth,iday,iyear 
      print 100, 'time: HH/MM/SS=', ih,im,is 
      print 100 
      print 200, 'xyz in VDH:', xvdh,yvdh,zvdh 
      print 200, 'xyz in GEO:', xgeo,ygeo,zgeo 
      print 200, 'xyz in GSE:', xgse,ygse,zgse 
      print 200 
      print 200, '****************************************************' 
      print 200 
                                                                        
      stop 'vdh_to_gse.exe: normal termination' 
      END                                           
